unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Menus, ShellAPI, ImgList;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    PopupMenu1: TPopupMenu;
    open1: TMenuItem;
    close1: TMenuItem;
    ImageList1: TImageList;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Edit1: TEdit;
    Label10: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure open1Click(Sender: TObject);
    procedure close1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure RELEASE;
    procedure FormShow(Sender: TObject); //O
  private
    { Private declarations }

    procedure WndProc(var Msg: TMessage); override;

  public
    { Public declarations }

    IconData: TNotifyIconData;
    IconCount: integer;

  end;

var
  Form1: TForm1;

implementation
var
  memory: TMemoryStatus;
  i: Longint;
  j:integer=0;
  {$R *.DFM}
  // Tray{ĲoiJI

procedure TForm1.WndProc(var Msg: TMessage);
var
  p: TPoint;
begin
  case Msg.Msg of
    WM_USER + 1:
      case Msg.lParam of
        WM_RBUTTONDOWN:
          begin // bϤWF
            GetCursorPos(p);
            PopupMenu1.Popup(p.x, p.y);
          end;
        WM_LBUTTONDOWN:
          begin // bϤWFk
            open1Click(form1);
          end;
      end;
  end;
  inherited;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  ico: ticon;
begin
  ico := ticon.create;
  imagelist1.GetIcon(0, ico);
  BorderIcons := [biSystemMenu];
  IconCount := 0;
  IconData.cbSize := sizeof(IconData);
  IconData.Wnd := Handle;
  IconData.uID := 100;
  IconData.uFlags := NIF_MESSAGE + NIF_ICON + NIF_TIP;
  IconData.uCallbackMessage := WM_USER + 1;
  IconData.hIcon := ico.handle;
  StrPCopy(IconData.szTip, Application.Title);
  Shell_NotifyIcon(NIM_ADD, @IconData);
  Timer1.Interval := 60000;
  Timer1.Enabled := true;
  ico.free;
end;
// קKFX{

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caNone;
  Form1.Hide;
end;
// @]@,ϥܥ

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  RELEASE;

end;
// }ҵ

procedure TForm1.open1Click(Sender: TObject);
begin
  Form1.Show;
  ShowWindow(Application.Handle, SW_HIDE);
end;
// {

procedure TForm1.close1Click(Sender: TObject);
begin
  Shell_NotifyIcon(NIM_DELETE, @IconData);
  Application.ProcessMessages;
  Application.Terminate;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  close1Click(sender);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form1.hide;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  RELEASE;
end;

procedure TForm1.RELEASE;
var
  ico: ticon;
  s: array of Byte;

begin
  //O
  j := j + 1;
  GlobalMemoryStatus(memory);
  Label6.Caption := floatToStr(memory.dwTotalPhys / 1024 / 1024) + ' Mbytes';
  Label7.Caption := floatToStr(memory.dwAvailPhys / 1024 / 1024) + ' Mbytes';
  Label8.Caption := floatToStr(memory.dwAvailPhys / memory.dwTotalPhys * 100) +
    ' %';
//  Button3.Click;
  Label9.Caption := inttostr(j);

  // õ

  ico := ticon.create;
  imagelist1.GetIcon(IconCount, ico);
  IconData.hIcon := ico.handle;
  inc(IconCount);
  if IconCount > 1 then
    IconCount := 0;
  StrPCopy(IconData.szTip, TimeToStr(Now));
  Shell_NotifyIcon(NIM_MODIFY, @IconData);
  ico.free;
  if Edit1.Text <> '' then
    begin
      self.Caption := 'O񤤡K';
      i := StrToInt(Edit1.Text) * 1024 * 1024;
      SetLength(s, i);
      self.Caption := 'O񧹦!!';
    end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  RELEASE;
  Edit1.SetFocus;
end;

end.

